return function(self, onCompleted, thisNotAllowed)

    if thisNotAllowed ~= nil then
        error("Rx.Observable:subscribeOnCompleted: this parameter not supported in RxLua", 2)
    end

    return self:subscribe(nil, nil, onCompleted)

end
